package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电网设施指标对象 adm_ems_elec_pg_index
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public class AdmEmsElecPgIndex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    /** 日期 yyyy-MM-dd */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 yyyy-MM-dd HH:mm:ss */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间 yyyy-MM-dd HH:mm:ss", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 电压 单位：kV（千伏） */
    @Excel(name = "电压 单位：kV", readConverterExp = "千=伏")
    private Double voltage;

    /** 电流 单位：A（安培） */
    @Excel(name = "电流 单位：A", readConverterExp = "安=培")
    private Double electricity;

    /** 功率 单位：kW（千瓦） */
    @Excel(name = "功率 单位：kW", readConverterExp = "千=瓦")
    private Double power;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setFacsCode(String facsCode) 
    {
        this.facsCode = facsCode;
    }

    public String getFacsCode() 
    {
        return facsCode;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }
    public void setVoltage(Double voltage) 
    {
        this.voltage = voltage;
    }

    public Double getVoltage() 
    {
        return voltage;
    }
    public void setElectricity(Double electricity) 
    {
        this.electricity = electricity;
    }

    public Double getElectricity() 
    {
        return electricity;
    }
    public void setPower(Double power) 
    {
        this.power = power;
    }

    public Double getPower() 
    {
        return power;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("facsCode", getFacsCode())
            .append("date", getDate())
            .append("time", getTime())
            .append("voltage", getVoltage())
            .append("electricity", getElectricity())
            .append("power", getPower())
            .toString();
    }
}
